Unlock iPhone 4, iPhone 3GS On iOS 5.0.1 With Ultrasn0w Fixer

by Ahmed Omar on November 30, 2011

Few days after iOS 5 official release to the public, the iPhone Dev Team updated their ultrasn0w unlock tool to 1.2.4 version to bring support for Apple’s new iOS 5.0.1 software update. However, on iOS 5.0.1 release, the team didn’t update their tool. That’s why some other hackers could make a “Fix for Ultrasn0w” on iOS 5.0.1.

In this guide I’ll show you how to unlock iPhone 4 or iPhone 3GS running iOS 5.0.1 using ultrasn0w. You’ll need a jailbroken device on iOS 5.0.1, you can follow our guide posted here to jailbreak iPhone 4 and iPhone 3GS on iOS 5.0.1.

Supported Basebands:

  • 01.59.00
  • 04.26.08
  • 05.11.07
  • 05.12.01
  • 05.13.04
  • 06.15.00

How To Unlock iPhone 4, iPhone 3GS On iOS 5.0.1

STEP 1: Open Cydia from your device.

STEP 2: Head to Manage, Sources, Edit, Add then write down the following repository:

http://cydia.iloveidevice.tk

STEP 3: Now get back to the source and you’ll find two ultrasn0w fixers, one for the iPhone 4 and the other to the iPhone 3GS.

STEP 4: Choose the suitable one and install it.

Okay, you’re done now! Just give your device a reboot and you’ll be well to go.

For those wondering about iPhone 4S unlock, there’s a “very promising” iPhone 4S unlock in the works by the iPhone Dev Team. You can check my previous post for more details.

Let us know if you need further help.

UPDATE: The above repository seems to be not working for some people due to servers overload, you can try this repo instead:

http://cydia.myrepospace.com/smolk/

Thanks everyone for reporting!

If you found this post useful, hopefully hit the +1 (recommend) button ⇉


Add CydiaHelp on Google

You can follow on Twitter, join our Facebook fanpage and add me on Google+ to keep yourself updated on the latest jailbreak and unlock news.
  • Carding_sungkit

    nicely done sir!! but is this still tethered? answers ASAP please..

  • Jdoggraz

    So does this unlock only Iphone 4 IOS 5.0.1 or ios 5 as well?
    And does it require a gevey?

  • http://twitter.com/saeedzaxo Sa3z0x-freetalk

    Ultrasn0w 1.2.4 doesnt work on 5.0.1? And the Siri package isnt for older devices?

  • Budgie_157

    I currently have ios5 on my unlocked 3GS. Is it still recommended that users wait for the untethered jailbreak or is it ok to update to ios5.1?

  • Henglong_sun

    Dear dev-team!!
    When will the ultrasnow release the new version to unlock iphone4 with baseband 04.11.08?
    Hopefully, u’ll fix this problem soon because I have been using my iphone4 as an Ipod nearly 2 months, I don’t want to use it like this anymore. Please kindly help!!!
    Sincerely!

  • luke

    that repo has no data , “failed to fetch” ‘GPG error”

  • http://www.facebook.com/people/Othman-Zakaria/574841048 Othman Zakaria

    more than 1 year for me, hopefully a new version of ultrasn0w to desimlock 04.11.08 baseband

  • Pakshu

    Does this really work? Anyone ?

  • Nhlau1979

    cna i use this with the baseband 04.11.08? how to change to the compatible baseband if i need to use the baseband listed? TQ. Curently, i followed jailbreak “previous post”.

  • Pakshu

    This is not for changing baseband, you have to have bb listed above to unlock 5.0.1

  • Gunavardan Darimidi

    no data in the source..!!

  • Aradojciv67

    fail repo

  • Pakshu

    yeah

  • Shadow1201

    same error

  • Pakshu

    Try this

    h*t*t*p*:*/*/*w*w*w*.*y*o*u*t*u*b*e*.*c*o*m*/*w*a*t*c*h*?*v*=*b*s*d*X*N*S*H*3*e*v*c

    remove “*”

  • Godfather475

    nothing on that repo

  • iphone FAIL

    you make it seem like if u have any 5.0 or 5.0.1 u can unlock it. fuck out of here

  • robbanirazali

    unable to download.
    it says “the request modifications cannot be applied due to required dependencies or conflicts that cannot be automatically found and fixed.” and it depends iOS Firmware >=5.1

    what does it mean?

  • Ash

    wot about other Basebands !!!!

  • hicebone

    same message depends iOS Firmware >=5.1

  • Poop

    I’m also getting an error message that says “iOS Firmware >= 5.1″

  • crab_colony

    I received the same message, Depends – iOS Firmware>=5.1, when trying to install during Step 4. Has anyone had any luck with this?

  • Mitch

    Same error for me. Any solution?

  • Pakshu

    Another repo h t t p : / / c y d i a . m y r e p o s p a c e . c o m / s m o l k /

  • Benji

    same error… =(

  • Lol

    same here

  • Twanabio

    same error

  • Gabyyztu

    doesn’t work..fake 100%

  • Shadow1201

    same error message here

  • DeeKeyy

    Same Error .. -.-

  • Akbar D

    same error, slacker. gave me an other.

  • strikerd

    can’t be done. Repo don’t work

  • Freshinjoe

    neither of the repos work. someone please fix this

  • Julsierra

    Do you have a version of unlock bandbase 4.11.8?

  • dfadadwwd

    those basebands are for iphone 3gs, the only one that works with the iphone 4 is 1.59.00.

  • Pakshu

    h t t p : / / c y d i a . m y r e p o s p a c e . c o m / s m o l k /

  • Menamaged12

    cannot comply error iOS Firmware>=5.1,

  • http://www.facebook.com/profile.php?id=1569248538 Brayden Larwill

    TO EVERYONE THAT IS HAVING ISSUES I FOUND A VERSION ELSEWHERE WITHOUT THE IOS 5.1 LIMIT. I HAVENT TESTED IT YET BUT I AM ABOUT TO h t t p : / / i p h o n e 4 g – p r o . m y r e p o s p a c e . c o m/

  • Rohpark

    When will ultrasn0w for baseband 04.10.01 become available? i use gevey, but it’s so annoying to go through all those steps every time i boot!

  • Ppliao

    The fix won’t install. Are you suppose to install ultrasnow first or just install the fix. Also, it says can’t no over right mobile substrate.

  • Funtime

    Same error here

  • Rlwashing07

    I got it to work on my iPhone 4 01.59.00. Had to used customized 5.0.1 firmware from iPhonerock

  • Funtime

    I think this is a fake.
    Depend iOS Firmware>=5.1

  • http://www.facebook.com/martin.aguirre2 Niner Empire

    has a solution been found yet

  • ThePlar

    pls

  • Jaks5boatride

    It’s working with alternative source finally!!!: tested 3GS here on 5.0.1 with iPad baseband

    add this to cydia as a source ( without any spaces)

    c y d i a . i p h o n e r e p a i r s . o r g . u k

    (other errors give package problem or state that you need to be on 5.1, this one worked straight away for me)

  • Pradeep31

    Try this repo…you must delete the spaces..

    install ultrasn0w fixer from there for your phone, 3gs or iphone 4

    c y d i a . i p h o n e r e p a i r s . o r g . u k

    Looks like it’s coming up now, signal shown as full :)

  • http://www.twitter.com/mahmood Mahmood_GSM

    friend,,try iphonerepairs source!

  • eProd

    this post doesnt works check out this page for the actual results
    h t t p : / / w w w . s i n f u l i p h o n e . c o m / s h o w t h r e a d . p h p ? p = 7 0 8 6 2 1
    remove spaces of course
    i tried this on 2 iphone 3gs and its confirmed to work no repos or nothing

  • http://www.facebook.com/martin.aguirre2 Niner Empire

    xx

  • ThePlar

    TY :)

  • eProd

    check out my post right before yours and youll have unlocked ios 5.0.1 with ultrasn0w

  • devil

    pre dependency problem not installing com.myrepospace.smolk.fixultrsn0w3gs…
    sub process/usr/bin/pkg returned and error code 1…

    Plzzzzz help

  • Zhariffz

    i get pre-dependecy problem- not installing com.my.repospace.smolk.fixultrasnowi4
    sub-process/usr/bin/dpkg returned error code (1)
    with iphonerepair source
    for iphone 4

  • http://www.facebook.com/venliam.lai Venliam Lai

    I wanna Jailbreak my Iphone 4 but i’m so lazy if my iphone can’t be unlock
    Anybody already unlocking iphone 4 with BB 1.59.00 ??? Is it working well?????

  • Waqarafzal1990

    Which Garvey sim u r using I am on same bb

  • Unlockman12

    iphonerepair source show org.iphonerepairs.cydia.fixultrasn0wi4, maybe you are doing wrong..

    you need to be ios 5.0.1

  • Oliver Sau

    It wont run the Debian Packager

  • Dak

    Thank you very very very much for this…after many days my phone working again…THANK YOU!!!!

  • Unlockman12

    you need to be on iOS 5.1!!

  • Unlockman12

    sorry, Mean ios 5.0.1

  • http://www.apple.com Apple_kavePRO_2011

    check you usin right source bro..here is OK 1000%

  • Samfischer9

    This does not work at all.What a load of crap!!

  • DeeKeyy

    “Pre-dependency problem – not installing myrepospace……… Sub process /usr/bin/dpkg returned an error core (1)” ..

    PLEASE HELP MEE!! :(

  • DeeKeyy

    And i have IoS 5.0.1

  • Dak

    People…read a post from “eProd” … if u have iPhone 3gs restore it and jailbreak with redsn0w with this tick both “Install cydia” and “Install Ipad baseband” … after this read a post from “eProd”

  • James_doan2002

    does it work for iphone 4 ios 5.0.1 with 4.11.08 baseband? plzzzz

  • Khiembecon

    it doesnt work, STAY AWAY FROM THIS, i tried it from many different repo, finally found 1 good to installed, but nothing change after installed this, still show no service, however, you will not be able to reboot the device (with ibooty or redsnow), itunes will detect the phone but u’ll be stuck on apple logo (even after you hear the sound of the unlock screen, TRIED TWICE AND GET THE SAME RESULT, maybe its just my phone but this is just a warning for everyone, if you dont want to restore ur iphone 4 DONT TRY THIS i have iphone 4 5.0.1 BB 1.59.00

  • Oliver Sau

    i am

  • Oliver Sau

    i have the same problem

  • James_doan2002

    thanks for your info. But do we have any ways to downgrade baseband from 4.11.08 to 4.10.1 to use gevey sim?

  • Funtime

    I got same exact error message and I have 3GS with IOS 5.0.1 base band 6.15

  • Khiembecon

    no, we can never downgrade baseband, its never been done b4, you can downgrade version of IOS if u preserver the bb and save shsh but never the bb, sorry

  • DeeKeyy

    The Iphone reads my Simcard but the network is not available.. Since it is already o2! Plzz Help :(

  • DeeKeyy

    Same Error -.-

  • http://twitter.com/SKiPP_DOT Stepan Shamaiev

    only this one installed but unlock didn’t work

  • Pakshu

    This works 100%

    sinfuliphone . com / showthread . php ? p = 708621

  • Laceratekane

    Same thing here with 3GS 5.0.1 bb 6.15.00. Had to restore, got 1600 error and needed to DNU mode via iREB and THEN restore. Finally restored and tried again via iphonerepair repo and still no service. Wtf?

  • steave

    yes, it works with out any problem but it will be tethered

  • James_doan2002

    thats mean we have to wait for the other one coming out?

  • Khiembecon

    yes but u’ll have to wait for another type of gevey sim or another whole different unlock technology, im not sure how long it’ll take, maybe weeks or months, so ur chance of getting that phone unlocked is pretty small, my suggestion is sale that iphone and get another one with a lower baseband, so you can unlock with the current gevey sim

  • Goblue

    If you have a 3gs, does it make a difference whether you have the old or new bootrom? I am getting the same error as everyone else and I have the new bootrom. Also, am I correct in understanding that some of the posters have had success with alternate sources?

  • iPhoneOS

    Fix for ultrasn0w on iOS 5.0.1 ! Enjoy

    iphoneos . info / index . php ? v = tutorials & tool = ultrasn0wfixer

  • http://cydia.iphonerepairs.org.uk UPDATED_SOURCE

    for those experiencing package error 1:: or no service using iphonerepairs repo, an updated version has just been pushed

    please refresh the source, or remove and re-add the source below to see updated version

    /////////////////////////////////////////////////////

    c y d i a . i p h o n e r e p a i r s . o r g . u k

    //////////////////////////////////////////////////////////

    (Remove spaces)

    ***Please take backup before installing**, As you know, this is Experimental tweak!

    supported basebands
    —————————————-
    Supported Basebands:

    01.59.00
    04.26.08
    05.11.07
    05.12.01
    05.13.04
    06.15.00

    ^^ If you are not on a baseband above, it will not work..

    Supported OS = iOS 5.0.+

  • http://www.twitter.com/mahmood Mahmood_GSM

    Working now!! refresh ipadrepairs cydia repo :) (or remove and re-add)

  • http://www.twitter.com/mahmood Mahmood_GSM

    Refresh source bro

  • http://www.twitter.com/mahmood Crazydan35

    LOL!! Of course your phone will be stuck on Apple logo, Because ios 5.0.1 is a SEMI TETHERED JAILBREAK!!! ultrasn0w use mobilesubstrate which means unsigned code = unsigned = means your phone will stick on Apple logo and be tethered. you have to launch redsn0w- click ‘just-boot

  • http://www.twitter.com/mahmood Mahmood_GSM

    dude if you don’t know what yr doing, don’t mess about.. like i posted above. if you have NEW BOOTROM 3GS or iPhone 4 your phone WILL stick on logo after this. because it’s tethered jailbreak (You have to plug into redsn0w and click just boot) … jesus how have u managed to come on a site and jailbreak your phone without understanding it’s tethered, or maybe you only have semi tethere and no other mobilesubstrate tweaks

  • Grgr

    Supposed to install fix first

    and it’s best not to use with semi tether. start from fresh 5.0.1, just jailbreak, install tweak, install ultrasn0w.. everythings workiing on 3gs

  • dcobra

    Anonymous said…

    pour moi impossible a installer
    les modifications demandées ne peuvent pas être appliquées a cause de dépendances ou de conflits impossibles a identifier automatiquement.

  • Oliver Sau

    I still get the same error when it starts running Debian Packager.

  • Oliver Sau

    I still get the same error. I have iPhone 3gs not 4.

  • Umer Faruqi

    no help ! tried everything , 3gs on 5.0.1 cant grt it unlocked :(

  • Lexucd

    THIS DOES NOT WORK !!! PRE-DEPENDENCY PROBLEM …. BLABLABLA

  • Lexucd

    myrepospace/smolk removed the fixes from their repo….. that’s how well it works ;)

  • None

    same here, tried everything same error message every time, source doesn’t work

  • Jimmy Shoe

    why are so called working fixes keep being posted when none actually work…?

  • sylvanchutoy

    Thxs…… the best tutorial.. iPhone 3gs fixed

  • iPhoneOS

    No problem :]

  • iPhoneOS

    100% working !!
    Fix for ultrasn0w on iOS 5.0.1 ! Enjoy

    iphoneos . info / index . php ? v = tutorials & tool = ultrasn0wfixer

  • Goga119

    IPhoneOS

    What do you have working 100%???

  • Goga119

    can you share how you get it working,cause none of the sources so far are working for me

  • Bart

    Someone have a good fun with that scam!
    Am stunned that cydiahelp has posted that witout checking themself,
    is it working or not.
    Really shame on CydiaHelp

  • Axel

    what about the iphone 4 4.11.08 baseband?

  • Laceratekane

    wow… I didn’t think I had describe every basic step. obviously I went to redsn0w boot after fix install; it ‘looped’ into reboot mode. there was no way to break the loop. make many bad assumptions? reads like it…

  • Bajbuss

    It doesn’t work. It’s a scam mate.

  • Robert Vasconcelos

    The best tutorial to unlock your idevice: w w w . sinfuliphone . com / showthread . php ? t = 99075

    i did it!! i’m very very very happy!!!!!!!!!!!!!!!!!!!!!!!!!! i was 1 month wtht my iphn. Thanks Genios!!!

  • Toiletlife

    Is it WORK OR NOT??? for iphone 4 with BB 1.59.00
    don’t make me confuse….. People A say : it works but People B say : it doesn’t work
    I need the clarity for this!!

    thx anyway

  • Ibreezy

    IT WORKS!!!! FINALLY!!! Now I can enjoy some iOS 5.0.1 goodness. Thank you Robert!

  • Jhayr

    is this for unteethered jailbreak for iphone 3gs and iphone 4?

  • Nitesh gaba

    IT WORKS!!!! FINALLY!!!

  • Ravenleez

    just did it, work perfect, not install the fix as people talking in here, go to the link from Robert Vasconcelos you will find the aswer.
    have to download the patch then replace in you phone system file then install ultrasn0w then you will be fine
    the link is: w w w . sinfuliphone . com / showthread . php ? t = 99075
    delete space.
    iphone 4 ios 5.0.1 bb 1.51.00

  • Johnboy

    it works FINE! just remove and re-add source. to show changes I have tested on 3 units.. PRE DEPENDENCY PROBLEM IS BECAUSE IT REQUIRES IOS 5.0.1

    If you are not on iOS 5.0.1 then what the hell you reading this tutorial for?

  • Johnboy

    remove- re add

  • Dfd

    no..can you read dude? this is only fix for unlock program not running on iOS 5.0.1

  • http://www.ifollowducks.com Duck_follower

    Worked for me from using iphonerepairs source, installed. rebooted with iBooty and then clicked install ultrasn0w and rebooted again on iPhone 4 01.59.00 Baseband. iOS 5.0.1 :)

  • Mr Merzouk

    the two sources does not works :(

  • Fixer

    :(

  • Funtime

    Omar:

    Please update your blog so people know this does not work.

  • LILDAVID1986

    if your phone unlock and you use i tune do not i me do not use i tune… it well lock your phone up and restore ios 5.0.1 and their is only one brad brand it well allow your phone to use…. if some finds out how to unlock it please help me …email me at LILDAVID1986@gmail.com… O yeah if this happen to you at&t cannot help you with reopen to your settings you have to go to apple’s tech ions to open your phone…..

  • Oliver Sau

    Non of the tutorials mentioned here have worked for my iPhone. Any other suggestions os sources?

  • nerex

    Guys i have a new method to fix ultrasnow on IOS 5.0.1

    Supported Basebands:

    01.59.00
    04.26.08
    05.11.07
    05.12.01
    05.13.04
    06.15.00

    1) You need to a jailbroken iphone running IOS 5.0.1

    2) Download iFunBox from the following link ( h t tp : / / d l . i – f u n b o x . c o m / i f u n b o x _ e n . z i p )

    3) Connect your iphone to your computer and run iFunBox.

    4) In iFunBox select you device and click on (Raw File System) from there you will have to navigate to System/Library/Frameworks/CoreTelephony.framework/Support
    Replace the file called CommCenterClassics
    For iphone 3GS here is the download link for the CommCenterClassics ( h t t p : / / w w w . m e d i a f i r e . c o m / ? 4 2 t d 0 4 4 k a 8 d h 0 2 a )
    For iphone 4 here is the download link for the CommCenterClassics (h t t p : / / w w w . m e d i a f i r e . c o m / ? s h 4 x r 6 g x 7 6 a c 3 k c )
    6) close iFunBox

    7) Go to your iphone and download ifile from cydia, when you finish installing open ifile and navigate to System/Library/Frameworks/CoreTelephony.framework/Support
    8) Click on the blue arrow next to CommCenterClassics.

    9) Under access permission you will find three things: User, Group, and World
    click on User and check the following permission: Execute, Write, Read
    Click on Group and check the following permission: Execute, Read
    Click on World and check the following permission: Execute.

    10) Click Done and close ifile.

    11) go to cydia and install ultrasnow, reboot the devices and you are good to go, ultrasnow will now work on IOS 5.0.1

    Note: this method works with iphone 3GS and iphone 4 ( SUPPORTED BASEBAND ONLY)

  • Anonymous

    Yes this was first publish on sinful. If you have supported base bands it works 100%

  • Toiletlife

    Are you sure this method will work 100% on iphone 3gs and iphone 4???? I doubt it dude…..
    Do you have some tutorial video for this???

  • nerex

    I tried this method on my iPhone 3GS yesterday and it works 100 % fine
    And no there is no video tutorial online but I can help you if you want

  • NNQSTTHR

    @OLIVER FOLLOW @NEREX TUTORIAL IT WORKS… i HAVE BEEN TRYING THIS FOR A LONG WHILE TILL I SAW THIS. AFTER I DID IT I GOT SEARCHING THEN I WENT OT AIRPLANE MODE THEN BACK AND VOILA…. T-MOBILE.

    THANKS @NEREX

  • eProd

    i posted the original posters link days ago

  • eProd

    i posted this two days ago but got hit up for it again … check this site and ultrasn0w will work on iOS 5.0.1 on the basebands supported by ultrasn0w
    h t t p : / / w w w . s i n f u l i p h o n e . c o m / s h o w t h r e a d . p h p ? p = 7 0 8 6 2 1

  • infamous Cole

    Thanks a lot!!!!!!!!!!!!!!!!!!!!!!!!!! this really worked It unlocked my iphone 3gs on ios 5.0.1 bb 06.15.00
    this steps are really helpful… i’ve been waiting for some fix from the day ios 5.0.1 was released….

  • TEGTECH

    this sinfuliphone really works i just did it works wonders thank you !!! tmobile USA

  • joel

    whats is the 3gs latest baseband? Is it working 3gs latest baseband ? I wanna buy new iphone 3gs ios 5.0.1 so is it working all baseband ?

  • Dealcatcher2011

    after I replaced the CommCenterClassics file, and redsn0w to boot (since it’s a tethered jailking), but the iphone 3GS always got stuck at boot, wodeing anyone know why? thanks.

  • Shrimp

    If you use redsnow, don’t forget to select ispw before clicking on “just boot”

  • Anonymous

    Are you pointing redsnow to correct ipsw? It won’t boot unless pointed to correct file

  • Anonymous

    No. Only listed baseband

  • Gwapo

    I was so nervous doing it but the risk paid off. Who is the genius that thought of this? Twas a lil painstaking but my 3gs running ios 5.01 with baseband 06.15.00 is running fine now with TMobile sim. Thank you!!!

  • http://www.facebook.com/venliam.lai Venliam Lai

    Surely i want it… Doo you have some email on Ym or the other??
    But are you sure it’s will work 100%???
    because my iphone 4 ios 4.0.1 it’s stupid, sometime i can lost signal…and i must reinstal ultrasn0w everytime i lost my signal….

  • scott

    Now Ultrasn0w Got deleted From Cydia ,How Am I Supposed To Fix It Now :’(

  • Room15 Drk

    Awsome! It works for me!!! Thanks a ton!!!

  • Dealcatcher2011

    Thanks, DocGood and Shrimp for the replies.

    Yes, I did select the correct ispw that I used for jailbreaking to “Just boot”, but my iphone 3gs still got stuck in booting up after I replaced and changed the permission of the “CommCenterClassics” file; In addition, I used Redsn0w0.9.9b8 for jailbreaking and booting up (since it’s tethered), and I used the “iPhone2,1_5.0_9A334_Restore.ipsw” with the Redsn0w to jailbreak my iPhone 3GS with iOS 5.0.1 with base band 06.15.00, can anyone make sure my info correct please. Thanks. Also, I’ve tried the method discussed above three time now, such as: after I got stuck, I restored it back using iTune, and then jailbreak using redsn0w, install iFile, install FunBox, replaced the file, and use redsn0w to boot up, I could always boot it up BEFORE i replaced the file, BUT every time after I replaced the CommCenterClassics file, always got stuck in boot up. Please HELP!!!

  • Dealcatcher2011

    Thanks, DocGood and Shrimp for the replies.

    Yes, I did select the correct ispw that I used for jailbreaking to “Just boot”, but my iphone 3gs still got stuck in booting up after I replaced and changed the permission of the “CommCenterClassics” file; In addition, I used Redsn0w0.9.9b8 for jailbreaking and booting up (since it’s tethered), and I used the “iPhone2,1_5.0_9A334_Restore.ipsw” with the Redsn0w to jailbreak my iPhone 3GS with iOS 5.0.1 with base band 06.15.00, can anyone make sure my info correct please. Thanks. Also, I’ve tried the method discussed above three time now, such as: after I got stuck, I restored it back using iTune, and then jailbreak using redsn0w, install iFile, install FunBox, replaced the file, and use redsn0w to boot up, I could always boot it up BEFORE i replaced the file, BUT every time after I replaced the CommCenterClassics file, always got stuck in boot up. Please HELP!!!

  • Dealcatcher2011

    followed the method, but always got stuck after replaced the CommCenterClassics file using “Just Boot” of Redsn0w 0.9.9b8, any ideas why?

  • Yourbestfrriend

    THANKYOU SOO MUCH BRO,YOU MADE MY HAPPY

  • infamous Cole

    this steps may help you…r
    1. Create custom iOS 5.0.1 IPSW using sn0wbreeze-v2.8b11 while creating the IPSW add iPad Baseband and select hacktivate option

    2. Restore your iphone 3gs with that IPSW using iTunes 10 or later

    3. Boot your iphone with iBooty if it has new bootroom

    4. Follow the steps provided by nerex

    It worked for my iphone 3gs… Good Luck!!

  • Rear_star

    Can u tell me how to jailbreak/unlock iPhone 4 iOS 5.0.1

  • Rear_star

    Can u tell me how to jailbreak/ unlock iPhone 4 iOS 5.0.1 bb 04.11.08

  • anne

    tried everything still not working. please help

  • anne

    what repo did you use?

  • Samfischer9

    For those of you on Iphone4 on iOS 5.0.1 with BB 1.59.00 try the steps at
    h t t p : / / w w w . s i n f u l i p h o n e . c o m / s h o w t h r e a d . p h p ? p = 7 0 8 6 2 1
    and it should work like a charm.

  • Dealcatcher2011

    thanks, it worked!! seems like i had to use snowbreeze instead of redsnow.

  • Daddysmall68

    merci, c’est ok. je suis français et ça marche nickel sur mon iphone 3gs.
    thanks

  • ZS

    I am on iOS5.0.1 beta 2 … the version is 9A404, not 405. Will that cause any problems? I have upgraded the baseband to 06.15.00 and installed the Fix for ultrasn0w but it doesn’t seem to work.

  • 57451203

    Basebands 04.11.08 How to unlock?

  • Raymond

    your are the man!!!! thanks alot man keep it up!

  • Oliver Sau

    still no go. Nothing has worked for me. 3gs ios 5.0.1 baseband 6.15.00. I have no clue no more.

  • jail is broken

    i got confused here… after i follow above steps… when i want to jailbreak my iphone 3gs (with old bootroom), if i select the custom IPSW that have been created using redsnow…there was an error.. please help me…

  • xtoban

    Thanks a lot bro!!!
    Spent a lot of time trying to fix the “No Service” issue… :)

  • Jeffrey_pyper_4

    I can’t even turn my phone on anymore… i try to just boot tethered and it goes to the pineapple screen and immediately turns to the apple screen which in turn wont turn on

    PLEASE HELP

  • Infamous Cole

    Redsn0w will not work with custom IPSW created by Sn0wbreeze you’ve to use ibooty to boot ur Iphone…

  • anne

    i did everything still not working> whats wrong?? :(

  • Baxi6589

    u have 2 hold the home n power button for about 40 secs (both together) it should come up with plug into itunes, plug it in and restore

  • Solor1

    This doesn’t work , why have it up? People remove this if it doesn’t work so people like us don’t try it and ruin our phones use some common sense remove the whole post cydia help

  • Foo

    I think we have to wait for the official 5.0.1 ultrasn0w unlock by the iphone dev team :(

  • Ranger4life2010

    i just unlock my iphone runnign ios 5.1 4.11.8 baseband with ultrasnow 9.9.b8 and work perfect but i cant turn off the iphone because get stuck on apple,i got h2o and trying to get data but i dont know the cydia source Helppp!!!

  • happy man

    This is not fake, just follow nerex post. Thanks man! Just unlocked my 3gs 5.0.1 baseband 06.15

  • Brixcitysfinest

    I tried this and I get a message in red saying “pre-dependency problem-not installing com.myresponsespace.smolk.fixultrasn0w3gs

    Sub-process/usr/bin/dpkg returned an error code (1)

  • Padilla

    me 2

  • Brixcitysfinest

    does anybode else besides padilla and i seem to have this same problem? Its very frustrating, Ive had to resort to using my blackberry while my iphone is out of commission. why doesnt the above fix in this post solve the problem. And how would i perform the steps in nerex post if I only have a mac computer?

  • Sachin

    Thanks a lot bro.I finally unlocked my iPhone 3gs 5.0.1 bb 06.15.00.

  • Abcd5566123

    Same request too!

  • Kkkk

    me 2

  • Maykazw

    J have that same problem, how can J solve this ?

  • Abcd5566123

    Can u tell me how do u do that? in detail please

  • Mitch

    just fake…

  • Samfischer9

    What phone and BB does your phone have?

  • Samfischer9

    This works but your need to have an Iphone4 on iOS 5.0.1 with BB 1.59.00 and than try the steps at
    h t t p : / / w w w . s i n f u l i p h o n e . c o m / s h o w t h r e a d . p h p ? p = 7 0 8 6 2 1
    and it should work like a charm.

  • Samfischer9

    For those of you on Iphone4 on iOS 5.0.1 with BB 1.59.00(not any other baseband!!) try the steps at
    h t t p : / / w w w . s i n f u l i p h o n e . c o m / s h o w t h r e a d . p h p ? p = 7 0 8 6 2 1
    and it should work like a charm.

  • Samfischer9

    For those of you on Iphone4 on iOS 5.0.1 with BB 1.59.00 try the steps at
    h t t p : / / w w w . s i n f u l i p h o n e . c o m / s h o w t h r e a d . p h p ? p = 7 0 8 6 2 1
    and it should work like a charm.

  • Samfischer9

    For those of you on Iphone4 on iOS 5.0.1 with BB 1.59.00 try the steps at
    h t t p : / / w w w . s i n f u l i p h o n e . c o m / s h o w t h r e a d . p h p ? p = 7 0 8 6 2 1
    and it should work like a charm.

  • sandeep

    Thanks a ton friend…It worked…awesome :)

  • sandeep

    Steps given by nerex works 100% correct to unlock iPhone 3gs ios 5.0.1 Baseband 06.15.00

  • Oliver Sau

    Nothing has worked for me. 3gs ios 5.0.1 baseband 6.15.00. I have no clue no more. Not even “nerex”‘s version. Any other solutions anyone?

  • Vbastari

    same error

  • Maykazw

    but 3gs ? bb6.15 ? becouse when J check solution which nerex give and it also dont work, when i want to install this fix J have this message from cydia: -”pre-dependency problem – not installing com.repospace.smolk.fixutrasnow3gs”
    -”Sub process /usr/bin/dpkg returned en error”

  • Jack4uar

    Can you kindly tell the steps to unlock, jailbreak is possible. But how to unlock to use different sim.

  • NathanEvans

    i done everything nerex said and i am now stuck at the apple logo and my phone won’t reboot, whats wrong ?

  • http://web.splesh.net Fabrizio Trentacosti

    Amazing! It works smoothly! Thank you so much!

  • Congooi

    Nothing has worked for me. 3gs ios 5.0.1 baseband 05.16.05. what can i do???

  • Dggain

    it works thanks

  • Guest

    Why go into all this trouble when you can get a sim-free iPhone 4S for free! I received mine today!
    Free iPhone 4S: goo . gl / YP5RV (without spaces)

  • Larry_3gsUSER

    I followed what Nerex said and also this site h t t p : / / i p h o n e r o c k . c o m / u n l o c k / h o w – u n l o c k – i p h o n e – 4 – 3 g s – i o s – 5 – 0 – 1 . h t m l # m o r e – 3 9 3 8.
    IT WORKED and i am able to unlock my iPhone which has following config –>
    3gs on 5.0.1
    06.15.00

    make sure that if you already have UltraSn0w, uninstall it & than after completing all the steps install it back again. As it actually writes that file which you modified.

  • Larry_3gsUSER

    It worked for me. Make sure you uninstall UltraSn0w before starting Nerex steps & than install it back again after completing the steps

  • Rainyjoag

    THANK YOU SO MUCH!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

  • Александр Шпилевой

    Damn! It works! Thanks from Russia! My 3GS with 6.15, 5.0.1, new bootrom and USA lock works fine now!!! THANK YOU!!!

  • http://twitter.com/dilipprakash dilipprakash

    Does it Unlock Iphone 4 with Ios5 with 4.11.8 base-band???? Just let me know yes/No

    Please dont comment unlock with 1.59.00, i am bored of that answer..

  • Ashok Gurung

    I have same phone with os 5.0.1 and baseband 4.11.8 but still ican’t unlock my fone so plz tell me how can u unlock that phone?

  • Samfischer9

    Your are SCREWED!!

  • Arriskl

    I plan tu upgrade my iphone 3gs currently 4.3.3(8j2) BB;06.15.00, to ios 5.0.1, …. what all of you think? is fine to me do it or not……

  • A K9202

    flash an iPad 06.15.00 BB, yes you WILL lose GPS functionality, but it’s your only way out for now :S

  • Adit17

    thanx…

  • Addictive

    no yet

  • Hudie

    Still showed “Could Not Activate Cellular Data Network” error in ultrasn0w, but the iPhone found the network after I put the SIM card in. Thanks mate!

  • petefan

    not working for me..

  • Misterv

    I followed Nerex also. Thank you so much you’re good as gold :o )

  • Ricardo Alves

    I have 3gs 6.15.00 and did in this exact order:
    1) jaibreak
    2) add repo to cydia
    3) installed fixer (and here it does not install. Has a .deb error. When i go back to cydia i see that program has not been installed)
    What should i do??

  • crimelabz

    This worked Perfectly!!!

  • John

    Has anyone confirmed functionality of this unlock for Iphone 4 5.0.1 with the stated basebands?

  • 57451203

    Basebands 04.11.08 iphone4 5.0.1 what time can unlock?If not how let me phone call…………………..(T.T)

  • Olatif80

    any way to unlock Iphone4 IOS 5.0.1 basebank 04.10.01, please help

  • http://www.facebook.com/profile.php?id=1580737066 Zaid Saleem

    yur lucky yu have that baseband buy the geyey sim pro from applenberry cheers

  • Yogen_my

    is there any way to unlock iphone 4 IOs 5.0.1 with baseban 04.11.08 please help me

  • Surendrass

    is there any way to unlock iphone 4 ios 5.0.1 with baseband 04.11.08 plz plz help help meeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee

  • Sagagas

    you should install ultrasn0w first the install the fixer.

  • http://www.facebook.com/venliam.lai Venliam Lai

    How about iphone 4 ios 5.0.1 BB 1.59.00 ????? Is it working??? Anyone have a solution for unlock that????
    somebody help me !!!

  • Escott Gut

    not working

  • Derrick

    I tried download the ultrasn0w fix from the repo and it didn’t download. Gave an error code (1)

  • Mitch

    OMG I told ya twice that this is a scam!

  • Mercurialflight

    Thank you soooo much!

  • Joyce

    I followed Nerex but still no unlock ive done everything. Please help. iPhone 3GS baseband 6.15.00 ios 5.0.1

  • kevin nguyen

    I tried too that chit didn’t work.

  • Iadamc94

    didnt believe at first but took the risk and it works wonderfully love it now im on t-mobile

  • newboy

    Thank YOU So much! Worked like a charm after manually rebooting (Ultrasn0w restrings)

    iPhone 3GS 5.0.1 6.15.00 T-Mobile

  • Eric Duong

    Anyone who did the Nerex thing does anyone lose signal a lot?

  • Osky50

    Thanks a lot, Your instructions works perfectly !!!. I was waiting for this fix for serveral weeks and finally I can use my 3GS ios 5.0.1 base band 05.11.07. Thanks a lot, really good job

  • Joyce

    I found a solution that REALLY WORKS!!

    First, do a clean iOS 5.0.1 restore from apple. Then go to redsn0w and click jailbreak after that make sure you check install cydia, install iPad baseband and Deactivate phone. After you jailbreak you’ll need to put in an active AT&T sim card(it has to be AT&T don’t put in T-Mobile or another carrier) and set up the phone. When you’re done activating the phone go to cydia to make sure it works. (if your cydia has a white icon and won’t open go back to redsn0w and click just boot tethered) After that just follow Nerex’s post and you should have an unlocked iphone running iOS 5.0.1. :)

    I have an iPhone 3GS baseband 6.15.00 iOS 5.0.1.

  • Sun_dar83

    thanks nerex awesome after 40 hrs i got ur solution its fixed once again thx

  • Juank

    esto realmente funciona!! muchas gracias :)

  • Joyce

    I found a solution that REALLY WORKS!!

    First, do a clean iOS 5.0.1 restore from apple. Then go to redsn0w and click jailbreak after that make sure you check install cydia, install iPad baseband and Deactivate phone. After you jailbreak you’ll need to put in an active AT&T sim card(it has to be AT&T don’t put in T-Mobile or another carrier) and set up the phone. When you’re done activating the phone go to cydia to make sure it works. (if your cydia has a white icon and won’t open go back to redsn0w and click just boot tethered) After that just follow Nerex’s post and you should have an unlocked iphone running iOS 5.0.1. :)

    I have an iPhone 3GS baseband 6.15.00 iOS 5.0.1.

  • Joyce

    I found a solution that REALLY WORKS!!

    First, do a clean iOS 5.0.1 restore from apple. Then go to redsn0w and click jailbreak after that make sure you check install cydia, install iPad baseband and Deactivate phone. After you jailbreak you’ll need to put in an active AT&T sim card(it has to be AT&T don’t put in T-Mobile or another carrier) and set up the phone. When you’re done activating the phone go to cydia to make sure it works. (if your cydia has a white icon and won’t open go back to redsn0w and click just boot tethered) After that just follow Nerex’s post and you should have an unlocked iphone running iOS 5.0.1. :)

    I have an iPhone 3GS baseband 6.15.00 iOS 5.0.1.

  • Sammy

    i done all, but i cant work.. :( i used 10hours to fix but it can work, at the 1st i download the link you gave me, but it said my apple device cant connect, so i downloaded the new version. it work, than follow what you said, but untill the end, still showing that no service :( Please help me, i had been trusted you :)

  • Sammy

    it cant” work sorry :)

  • Louis

    Yea, same here.. need help pls :(

  • dharmesh

    i wont to unlock my iphone but i have only IMI number od my cell plz help me

  • dharmesh

    i want to unlock my iphone but thear is a problem i have only IMI number of my cell if any one can unlock my cell plz email me pal.dharmesh@gmail.com plz reply me…….

  • Sarah Crawford

    i do. is there any way to fix it?

  • Melaniecheckers

    Do I have to unlock/jailbreak my phone in order fore to download and update my iPhone 4 to the 5.0.1 version on iTunes ? Melaniecheckers

  • O Pouky

    Same problem here. Any idea?

  • Tomgoodson

    has anyone tries installing 5.11.07 baseband on iphone 4? just a suggestion – i was going to try it because technically wouldn’t 5.11.07 be an upgrade to 4.11.08??

  • Semaj456

    cheers!

  • JLR

    I did the nerex thing and it works, but the signal is definitely spotty. It goes in and out all the time and pretty much stays at 2 bars.

  • JLR

    NEREX! SAVE US AGAIN! PLEASE :) I am curious as to why the signal is so low on this fix.

  • JLR

    Hey Nerex,

    Thanks for the fix! Seems like it definitely works, but the signal is very spotty. iPhone 3gs loses signal strength all the time or completely goes to nothing. Any solutions?

  • Soyall

    Thank YOUUUUUUU! It worked and you’re the best

  • Warquimides

    Worked great! thanx pal! best of all is I didnt lose gps after installing ipad baseband

  • http://twitter.com/delVern Delvern Jean-Pierre

    I’m getting error:

    Running Debian Packager
    Sub-process/usr/bin/dpkg returned an error code (1)
    pre-dependency problem – not installing
    com.myrepospace.smolk.fixultrasn0w3gs

  • http://twitter.com/yandemontreal Yan

    Seems to work fine on 01.59.00. I only have official SIM though so I can’t confirm 100%. However it did fix the cosmetic issue of having only one signal bar. Also I used WinSCP instead of iFunBox + iFile. Much faster, less steps.

  • Ronni3jay

    Not working for me either…Any updates or they just giving up?

  • Ronni3jay

    Dont have a working AT&T sim either…hence why im unlocking…

  • Fahiz0009

    hi brother
    m using iphone 3gs ios5.0.1 bb 6.15.00 but m unable to unlock my iphone can u tell me what shoul i do

  • Weneedhelp

    Baseband 04.11.08? News? Can you here us hackers! Pleeeease help!

  • Evilshadow

    Followed Nerex instructions and it worked 100%. Thanks Nerex for your support.

  • Rynpamn21

    unable to install…
    help..
    3gs on 5.0.1
    need ultrasnow…

  • Toiletlife

    Anyone know how to unlock iphone 4 Bb 1.59.00 !!!!!!????? Need help!! Please somebody help me……

  • Ravenleez

    Credit to Nerex. works 100/% on Iphone 4 IOS 5.0.1 BB 1.59.00
    here is the quote:

    Guys i have a new method to fix ultrasnow on IOS 5.0.1

    Supported Basebands:

    01.59.00
    04.26.08
    05.11.07
    05.12.01
    05.13.04
    06.15.00

    1) You need to a jailbroken iphone running IOS 5.0.1

    2) Download iFunBox from the following link ( h t tp : / / d l . i – f u n b o x . c o m / i f u n b o x _ e n . z i p )

    3) Connect your iphone to your computer and run iFunBox.

    4) In iFunBox select you device and click on (Raw File System) from there you will have to navigate to System/Library/Frameworks/CoreTelephony.framework/Support
    Replace the file called CommCenterClassics
    For iphone 3GS here is the download link for the CommCenterClassics ( h t t p : / / w w w . m e d i a f i r e . c o m / ? 4 2 t d 0 4 4 k a 8 d h 0 2 a )
    For iphone 4 here is the download link for the CommCenterClassics (h t t p : / / w w w . m e d i a f i r e . c o m / ? s h 4 x r 6 g x 7 6 a c 3 k c )
    6) close iFunBox

    7) Go to your iphone and download ifile from cydia, when you finish installing open ifile and navigate to System/Library/Frameworks/CoreTelephony.framework/Support
    8) Click on the blue arrow next to CommCenterClassics.

    9) Under access permission you will find three things: User, Group, and World
    click on User and check the following permission: Execute, Write, Read
    Click on Group and check the following permission: Execute, Read
    Click on World and check the following permission: Execute.

    10) Click Done and close ifile.

    11) go to cydia and install ultrasnow, reboot the devices and you are good to go, ultrasnow will now work on IOS 5.0.1

    Note: this method works with iphone 3GS and iphone 4 ( SUPPORTED BASEBAND ONLY)

  • GUEST

    I see that Nerex’s method being posted…but haven’t heard any feedback on iphone 4 yet
    but 99% of the people say they got their iphone 3gs ios 5.0.1 working…but something with kicking the firmware to ipad firmware 6.15…which is not good for iphone 4…i don’t know….

    anyone/feedback with nerex method for iphone 4 ios 5.0.1 bb 1.59.00 ????

  • GUEST

    i’m not in doubt but i’m afraid it might screw my BB 1.59.00 because i have had a few feedback saying the iphone 4 ios 5.0.1 got bricked after nerex’s method…please advise…thanks

  • piN

    Thanks a lot!!! Its working!!! iphone 4 baseband 1.59.00

  • IphoneMad

    work perfect for me, just cook your own custom IOS by using Snowbreeze v.2.8 b11 that save your BB 1.59.00. u have toSsh your phone by install Ssh from Cydia. Remember to change your password.

  • GUEST

    what is Ssh ??? and what you mean change your password

  • Pat

    my baseband is 04.11.08 can i do this?

  • Youno

    GUYS HERE IT IS JUST FOLLOW THIS GUY HE HELPED ME SO EASILY AND IF ANY ERRORS COME UP USE IREB , ALSO YOU WILL NEED REDSNOW 0.9.9B9D AND SNOWBREEZE 2.8B11 IF ITS 5.0.1 I HOPE THIS HELPS

    IF YOU NEED HELP EMAIL ME IM ON IT 24/7 YOUNO1997@GMAIL.COM

  • Postpattrn

    It still wont work for me. It gets almost to the end of the packages downloads but then it has a list of erroes PLEASE HELP

  • Postpattrn

    pre-dependency problem – not installing
    Sub-process /usr/bin/dpkg returned an error code (1)

  • Peacetalk

    DOESN’T WORK. PRE-DEPENDENCY ISSUE.

  • Jaffa

    Same here. JailBreak worked for iPhone 3gs ios 5.0.1 my baseband is 05.16.05

  • Piceanapranav

    How to find ultra snow in cydia after doing the step of ifile??

  • Dianej2000

    Thank you. Worked great. Gave my sister an iPhone 3GS, jailbroken (untethered) and software unlocked and told her not to update it. It arrived back last week with a “Please fix it”. She allowed someone to update it and it couldn’t be unlocked. The baseband had been updated from an unlockable one to the iPad baseband. Thankfully, with the help of this guide it is back to running smoothly again. First try, had no service and huge battery drain. Then I restored it to stock iOS 5.0.1 through iTunes and redid the jailbreak and ultrasn0w unlock. Working beautifully now. Thanks for the good work people.

  • Herb

    Worked great for me thanks

  • adam

    hello, please help , me, i did the sam mistak for my fateres phone and mine, two 3gs 5.0.1 6.15 base band,no servie after jail break and ultrasnow,how can i solve this probleme.
    (sorry for my bad english)

  • adam

    can it solve the” no service” after jailbrak + ultrasnow 3gs 5.0.1 bb 6.15,, please i’m having bige issue with two iphones her.

  • Funjonone

    I’ve got a 4 running 5.0.1. Managed to JB untethered fine but can’t seem to unlock it using this process. Ultrasn0w seems to install fine but I get and ‘Invalid Sim’ when I try a different network. Any Ideas?

  • Funjonone

    It’s currently locked to Three and the sim I was trying was o2

  • Ghjgvgh

    if it’s not working do restore, jailbreak and unlock aggain

  • Ac328

    what about iphone 4 on ios 5.0.1 w/firmware 4.10.01? Anyone know if it is unlockable?

  • Jimmy

    Supported Basebands:

    01.59.00
    04.26.08
    05.11.07
    05.12.01
    05.13.04
    06.15.00

  • Jimmy

    u can unlock ur device only with those baseband
    Supported Basebands:

    01.59.00
    04.26.08
    05.11.07
    05.12.01
    05.13.04
    06.15.00

    if you dont have that baseband, ur fuck
    you need to change your baseband

  • Mosrur

    Hey bud, I’ve tried with your process but no luck with my Iphone 3GS. I don’t understand what should i do now? Pls, help.

  • hazim saleh

    hello i haeve proplem with open ssh i did all but permission its need port 22 u know how can i open it ?

  • Akkorisjoco

    Is there anyone who knows what to do with this predependency problem?
    Thanks a lot!

    pre-dependency problem – not installing
    Sub-process /usr/bin/dpkg returned an error code (1)

  • http://www.facebook.com/people/Mohsen-Elshahaly/721049386 Mohsen Elshahaly

    Ultrasn0w 1.2.5 is not working with iphone 3GS. I updated it as described bb 06.15.00, SN starts with 85946. I re-installed cydia and ultrasn0w like a hundred times and each time says no service or searching for network. Please help !!!!!!!!!!!!!!!!

  • jomeza001

    To all of you with 3GS and 06.15.00 baseband that are not able to unlock.. YOU NEED TO RE-FLASH YOUR BASEBAND USING REDSN0W. After you install the ios 5.0.1, open Redsn0w and press Jailbreak, then when it gives you the checkboxes, select “install Cydia’ AND ALSO select the checkbox to upgrade iPad baseband. You’re good to go after the jailbreak finishes.

  • Neou571

    ios5 is jailbroken, but when i try to unlock it, the folders are empty. tried repo666, and sn0wbreeze and the iloveidevice, but none of them are pulling up any options once opened. After hours it seems like i find answers to everything BUT this problem. any help?

  • Ijoyer

    Thanks so much!!! now unlocked successfully by your inform.

  • http://www.facebook.com/profile.php?id=1410529013 Ehab Hashash

    If i upgrade then jailbreak my iphone 3gs on ios 5.0.1 and for some reason this doesnt work.. is it possible for me to downgrade back to ios 4.1?
    just to be on the safe side be4 i do this :P

  • Akong84

    i have a 3GS with bb 05.16.05. my SN is over 135 (which it warns against). I’m having issues with unlocking my phone. any help?

  • The Reverend

    anything coming up for bb 5.16.5? I found out if the phone is upgraded to 6.15 it cannot be restored to original settings even with a back up….

  • The Reverend

    Forgot to mention its an iphone 3gs, running cracked ios 5.1, bb 5.16.5, locked on rogers network and i want to unlock it to any networks. Thanks

  • VIPERIST300

    Halleuluja LOL TO ALL PPL !!! DONT WORRY ABOUT FLASHING BASEBAND. JUST DO IT!!!!! SERIOUSLY I WAS SCARED AT FIRST TO CONTINUE WHEN I SAW THE MESSAGE ABOUT 3GS BEING OLDER THAT WEEK 35. ITS MEANT TO DETER YOU FROM DOING IT.. I DID IT AND IT WORKED 1000% YES 1000% SO IF U HAVE 6.15 BASEBAND ALREADY, JUST INSTALL IT AGAIN, AND IT YOU HAVE ANY OTHER BASEBAND JUST INSTALL IPAD BASEBAND FOR FIRST TIME AND YOU WILL SEE INSTANTLY FULL SERVICE BARS…. YES YES YES I WAS SHOCKED BUT I TOOK THE RISK AND IT WORKED… WHO DONT BELIEVE WELL TOO BAD.. CALL ME IF U WANT MY NUMBER IS 1 868 714 5773…. TRINIDAD AND TOBAGO!!!! BOOM!!!!!

  • Dobcat

    I have the same problem, did you ever figure it out?

  • Hhh

    jyfgjhkhn

  • Damiankca

    Yeahhhhhhhh. Works good My Iphone 3GS now is free for all Sim Cards
    Best Regards from Poland

  • Cadis Florin

    hello, i’m trying to unlock my 3gs os 5.0.1 but i keep getting errors at both repos’ What can i do?

  • Neil26

    nothing comes up when selecting from sources list, did the same with myrepospace

  • Neil26

    it said sub-process/bin/bzip2 returned error code (2)

  • Neil26

    still says carrier orange

  • http://pulse.yahoo.com/_QEFZ6DL23ATE6YXBY6N2R7SA5A Rahul

    how do i change my baseband? i tried jailbreaking by watching one of the youtube video, but they didint mention anything about having certain baseband. i realsied my phone would not take my tmobile sim card and it says invalid sim. right now my base band is at 04.11.08 … can somebody please help me fix my phone and unlock it… thanks

  • http://pulse.yahoo.com/_QEFZ6DL23ATE6YXBY6N2R7SA5A Rahul

    how do we restore and what ios should i restore to?

  • http://pulse.yahoo.com/_QEFZ6DL23ATE6YXBY6N2R7SA5A Rahul

    how do i change my baseband? i tried jailbreaking by watching one of the youtube video, but they didint mention anything about having certain baseband. i realsied my phone would not take my tmobile sim card and it said invalid sim. right now my base band is at 04.11.08 … can somebody please help me fix my phone and unlock it… thanks

  • imran hk

    i update ios 5.0.1 baseband 04.11.08 my gevey sim supreme sim not working

  • Intermezzovtc

    yeah i have the same problem! what we can do it?

  • Bs Kok

    Fix does not get installed. Error messages on Debian. Any solutions?
    BB 6.15.00 Iphone 3Gs os 5.01. Noo results.

  • Chewlee84

    is this work on iphone 4 ..ios5.0.1 baseband 04.11.08

  • Juangagox

    hola tengo un iphone 4s con 5.0.1 como le puedo desbloquear para usarlo en Colombia si fue comprado en México

  • Tega_gera

    im trying to fix my phone too and it its a 4.11.08

  • Nicaangel23

    i need to unlock two iphone4 5.o.1 to be used in nicaragua does anyone know were i can go in the south florida area please

  • iphoneandroid

    Works great! I have tried so many different things and this is the only thing that worked. BB 06.15.00 with red sn0w

  • Maynard

    worked for me.,thanks mate.,been sorting a lot of solutions and urs is the best

  • Xxclarissaxx

    If i do this will i be able to put another network sim in it??? Thanks

  • Derrick A

    Model: 3GS
    Baseband: 6.15.00
    Os: 5.0.1
    New boot (redsn0w_win_0.9.10b1)

    1. restore ios 5.0.1
    2. jailbreak must check both (install Cydia & install ipad baseband) run about 5-6 min.
    3. install ultrasn0w & reboot then insert SIM card wait 1-3 min. got unlock.

  • noom

    Work for my iPhone 3GS Thank!!!!!!

  • Iphone Service11

    any iphones 3g/3gs/4/4s will be factory unlocked except usa networks. call me on +91 9833098597 or mail me on iphone.service11@gmail.com

  • Ali

    me to

  • Stephyoyo4

    Hi Rahul,I have the same problem..did you ever find a solution?

  • Ucky89

    not workkkk

  • Shine_supnet

    thank you very much! it worked….bless you!

  • vipin

    did u get ne fix?? i hav d xact same prob.. lemme knw if u hav found a fix

  • Fkarakaya

    what abaout BB 05.16.05. ıs ıt unlockable? pleas help

  • dany savi

    TY MAN , That REALLY WORKED, after spending 7 hours trying to get 5.0.1 on my 3gs.
    5.0.1 ipsw created with iFaith (doesn’t change baseband , i had ipad 06.15.00)
    DFU
    Used Redsn0w 0.9.10b6 , to jailbreak AND GET PAST SETUP SCREEN (could not activate and acces menu)
    Followed tutorial every step.
    Ultrasn0w respinged and voila ! Vodafone RO !

  • Singhswat

    I followed the above steps but its still stuck on “no service “.
    Ios 5.0.1 9a405
    04.11.08.

    I’m done with the jailbreak part but stuck on Network issue( previously i was using At&T and now i’m in india so wanna use local sim cards)

  • Shabi singh

    i laso have same problem

  • Singhswat

    I’ve not got any solution until now for this problem….
    @forum ppl: can somebody pls identity the missing pieces for us….

    thnaks,
    swat

  • Szaboeva999

    Hi
    I have tried to upgrade ios4.1 to 4.3 but the pohone got blank, how can I get it back to work? any idea would be appreciated

Previous post:

Next post: